# Uses of Class
io.dapr.client.domain.AppConnectionPropertiesHealthMetadata

Packages that use AppConnectionPropertiesHealthMetadata
Package
Description
io.dapr.client.domain

## Uses of AppConnectionPropertiesHealthMetadata in io.dapr.client.domain

Methods in io.dapr.client.domain that return AppConnectionPropertiesHealthMetadata
Modifier and Type
Method
Description
`AppConnectionPropertiesHealthMetadata`
AppConnectionPropertiesMetadata.`getHealth()`
Constructors in io.dapr.client.domain with parameters of type AppConnectionPropertiesHealthMetadata
Modifier
Constructor
Description
``
`AppConnectionPropertiesMetadata(int port, String protocol, String channelAddress, int maxConcurrency, AppConnectionPropertiesHealthMetadata health)`
Constructor for a AppConnectionPropertiesMetadata.